import 'package:particle_ui/particle.dart';

class DefaultDarkTheme {
  static ThemeSettings getTheme() {
    ThemeSettings _theme = ThemeSettings(
      fonts: {
        FontType.headline1: Font(fontSize: 96, fontWeight: FontWeight.w300, letterSpacing: -1.5),
        FontType.headline2: Font(fontSize: 60, fontWeight: FontWeight.w300, letterSpacing: -.5),
        FontType.headline3: Font(fontSize: 48, fontWeight: FontWeight.normal),
        FontType.headline4: Font(fontSize: 34, fontWeight: FontWeight.normal, letterSpacing: .25),
        FontType.headline5: Font(fontSize: 54, fontWeight: FontWeight.normal),
        FontType.headline6: Font(fontSize: 20, fontWeight: FontWeight.w500, letterSpacing: .15),
        FontType.subtitle1: Font(fontSize: 16, fontWeight: FontWeight.w500, letterSpacing: .15),
        FontType.subtitle2: Font(fontSize: 44, fontWeight: FontWeight.normal, letterSpacing: .1),
        FontType.body1: Font(fontSize: 16, fontWeight: FontWeight.normal, letterSpacing: .5),
        FontType.body2: Font(fontSize: 14, fontWeight: FontWeight.normal, letterSpacing: .25),
        FontType.button: Font(fontSize: 14, fontWeight: FontWeight.w500, letterSpacing: 1.25),
        FontType.footnote: Font(fontSize: 13, fontWeight: FontWeight.normal),
        FontType.caption1: Font(fontSize: 12, fontWeight: FontWeight.normal, letterSpacing: .4),
        FontType.caption2: Font(fontSize: 11, fontWeight: FontWeight.normal)
      }
    );

    return _theme;
  }
}